<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Razzi
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php \Razzi\Helper::wp_body_open(); ?>
<div id="page" class="site">
	<?php
	\Razzi\Markup::instance()->open( 'site_header', [
		'tag'     => 'header',
		'attr'    => [
			'id'    => 'site-header',
			'class' => 'site-header'
		],
		'actions' => true,
	] );
	\Razzi\Markup::instance()->close( 'site_header' );
	?>

	<?php
	\Razzi\Markup::instance()->open( 'site_content', [
		'tag'     => 'div',
		'attr'    => [
			'id'    => 'content',
			'class' => 'site-content'
		],
		'actions' => true,
	] );
	?>